# Library for E1.17 ACN
## `Architecture for Control Networks`

## Top level include
Include `acn.h` for full protocol support.

> ```#include "acn.h"```

## Logical components

### Protocol Handling
* ACN Architecture
 * `pdu.h`: [`ACN::PDU`]
 * `rlp.h`: [`ACN::RLP`]


* Device Management Protocol
 * `dmp.h`: [`ACN::DMP`]


* Session Data Transport
 * `sdt.h`: [`ACN::SDT`]

### EPI Support
* EPI 17. ACN Root Layer Protocol
Operation on UDP
 * `rlp-udp.h`: [`ACN::RLP::UDP`]


* EPI 18. Operation of SDT on UDP Networks
 * `sdt-udp.h`: [`ACN::SDT::UDP`]


* EPI 33. ACN Root Layer Protocol Operation on TCP
 * `rlp-tcp.h`: [`ACN::RLP::TCP`]
